Subject: Re: inconsistent lock state in icmp_send

From: syzbot <[email-masked]>
Date: Sun, 24 Mar 2019 06:38:01 -0700

syzbot has bisected this bug to:

commit 52dfae5c85a4c1078e9f1d5e8947d4a25f73dd81
Author: Jon Maloy <[email-masked]>
Date:   Thu Mar 22 19:42:52 2018 +0000

     tipc: obtain node identity from interface by default

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=12619917200000
start commit:   f5d58277 Merge branch 'for-linus' of git://git.kernel.org/..
git tree:       upstream
final crash:    https://syzkaller.appspot.com/x/report.txt?x=11619917200000
console output: https://syzkaller.appspot.com/x/log.txt?x=16619917200000
kernel config:  https://syzkaller.appspot.com/x/.config?x=c8970c89a0efbb23
dashboard link: https://syzkaller.appspot.com/bug?extid=251ec6887ada6eac4921
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=10ab6ba3400000

Reported-by: [email-masked]
Fixes: 52dfae5c85a4 ("tipc: obtain node identity from interface by default")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection